diff --git a/changelog b/changelog
index 0bc440d..0a7317c 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,4 @@
+20080504 tpd src/input/schaum19.input post-mortem fixes
 20080504 tpd src/input/schaum18.input post-mortem fixes
 20080502 tpd src/input/schaum17.input post-mortem fixes
 20080501 tpd src/input/schaum16.input post-mortem fixes
diff --git a/src/input/schaum19.input.pamphlet b/src/input/schaum19.input.pamphlet
index 343ab8a..eeb4d9d 100644
--- a/src/input/schaum19.input.pamphlet
+++ b/src/input/schaum19.input.pamphlet
@@ -87,27 +87,34 @@ aa:=integrate(sin(p*x)*cos(q*x),x)
 --E 
 
 --S 7
-bb:=-(cos(p-q)*x)/(2*(p-q))-(cos(p+q)*x)/(2*(p+q))
+bb:=-cos((p-q)*x)/(2*(p-q))-cos((p+q)*x)/(2*(p+q))
 --R
---R        (- q + p)x cos(q + p) + (q + p)x cos(q - p)
---R   (2)  -------------------------------------------
---R                           2     2
---R                         2q  - 2p
+--R        (- q + p)cos((q + p)x) + (q + p)cos((q - p)x)
+--R   (2)  ---------------------------------------------
+--R                            2     2
+--R                          2q  - 2p
 --R                                                     Type: Expression Integer
 --E
 
---S 8      14:400 Axiom is unable to simplify this expression
+--S 8
 cc:=aa-bb
 --R
 --R   (3)
---R       2q sin(p x)sin(q x) + 2p cos(p x)cos(q x) + (q - p)x cos(q + p)
+--R       2q sin(p x)sin(q x) + (q - p)cos((q + p)x) + 2p cos(p x)cos(q x)
 --R     + 
---R       (- q - p)x cos(q - p)
+--R       (- q - p)cos((q - p)x)
 --R  /
 --R       2     2
 --R     2q  - 2p
 --R                                                     Type: Expression Integer
 --E
+
+--S 9      14:400 Schaums and Axiom agree
+complexNormalize cc
+--R
+--R   (4)  0
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.401~~~~~$\displaystyle
@@ -118,7 +125,7 @@ $$
 <<*>>=
 )clear all
 
---S 9
+--S 10
 aa:=integrate(sin(a*x)^n*cos(a*x),x)
 --R 
 --R
@@ -129,7 +136,7 @@ aa:=integrate(sin(a*x)^n*cos(a*x),x)
 --R                                          Type: Union(Expression Integer,...)
 --E 
 
---S 10
+--S 11
 bb:=sin(a*x)^(n+1)/((n+1)*a)
 --R
 --R                n + 1
@@ -139,7 +146,7 @@ bb:=sin(a*x)^(n+1)/((n+1)*a)
 --R                                                     Type: Expression Integer
 --E
 
---S 11
+--S 12
 cc:=aa-bb
 --R
 --R                  n log(sin(a x))           n + 1
@@ -149,7 +156,7 @@ cc:=aa-bb
 --R                                                     Type: Expression Integer
 --E
 
---S 12
+--S 13
 explog:=rule(%e^(n*log(x)) == x^n)
 --R
 --R          n log(x)     n
@@ -157,7 +164,7 @@ explog:=rule(%e^(n*log(x)) == x^n)
 --R                        Type: RewriteRule(Integer,Integer,Expression Integer)
 --E
 
---S 13
+--S 14
 dd:=explog cc
 --R
 --R                  n + 1                   n
@@ -167,7 +174,7 @@ dd:=explog cc
 --R                                                     Type: Expression Integer
 --E
 
---S 14     14:401 Schaums and Axiom agree
+--S 15     14:401 Schaums and Axiom agree
 ee:=complexNormalize dd
 --R
 --R   (6)  0
@@ -183,7 +190,7 @@ $$
 <<*>>=
 )clear all
 
---S 15
+--S 16
 aa:=integrate(cos(a*x)^n*sin(a*x),x)
 --R 
 --R
@@ -194,7 +201,7 @@ aa:=integrate(cos(a*x)^n*sin(a*x),x)
 --R                                          Type: Union(Expression Integer,...)
 --E
 
---S 16
+--S 17
 bb:=-cos(a*x)^(n+1)/((n+1)*a)
 --R
 --R                  n + 1
@@ -204,7 +211,7 @@ bb:=-cos(a*x)^(n+1)/((n+1)*a)
 --R                                                     Type: Expression Integer
 --E 
 
---S 17
+--S 18
 cc:=aa-bb
 --R
 --R                    n log(cos(a x))           n + 1
@@ -214,7 +221,7 @@ cc:=aa-bb
 --R                                                     Type: Expression Integer
 --E
 
---S 18
+--S 19
 explog:=rule(%e^(n*log(x)) == x^n)
 --R
 --R          n log(x)     n
@@ -222,7 +229,7 @@ explog:=rule(%e^(n*log(x)) == x^n)
 --R                        Type: RewriteRule(Integer,Integer,Expression Integer)
 --E
 
---S 19
+--S 20
 dd:=explog cc
 --R
 --R                n + 1                   n
@@ -232,7 +239,7 @@ dd:=explog cc
 --R                                                     Type: Expression Integer
 --E
 
---S 20     14:402 Schaums and Axiom agree
+--S 21     14:402 Schaums and Axiom agree
 ee:=complexNormalize dd
 --R
 --R   (6)  0
@@ -248,7 +255,7 @@ $$
 <<*>>=
 )clear all
 
---S 21
+--S 22
 aa:=integrate(sin(a*x)^2*cos(a*x)^2,x)
 --R 
 --R
@@ -259,7 +266,7 @@ aa:=integrate(sin(a*x)^2*cos(a*x)^2,x)
 --R                                          Type: Union(Expression Integer,...)
 --E 
 
---S 22
+--S 23
 bb:=x/8-sin(4*a*x)/(32*a)
 --R
 --R        - sin(4a x) + 4a x
@@ -268,7 +275,7 @@ bb:=x/8-sin(4*a*x)/(32*a)
 --R                                                     Type: Expression Integer
 --E
 
---S 23
+--S 24
 cc:=aa-bb
 --R
 --R                                3
@@ -278,7 +285,7 @@ cc:=aa-bb
 --R                                                     Type: Expression Integer
 --E
 
---S 24     14:403 Schaums and Axiom agree
+--S 25     14:403 Schaums and Axiom agree
 dd:=complexNormalize cc
 --R
 --R   (4)  0
@@ -294,7 +301,7 @@ $$
 <<*>>=
 )clear all
 
---S 25
+--S 26
 aa:=integrate(1/(sin(a*x)*cos(a*x)),x)
 --R 
 --R
@@ -306,7 +313,7 @@ aa:=integrate(1/(sin(a*x)*cos(a*x)),x)
 --R                                          Type: Union(Expression Integer,...)
 --E 
 
---S 26
+--S 27
 bb:=1/a*log(tan(a*x))
 --R
 --R        log(tan(a x))
@@ -315,7 +322,7 @@ bb:=1/a*log(tan(a*x))
 --R                                                     Type: Expression Integer
 --E
 
---S 27
+--S 28
 cc:=aa-bb
 --R
 --R                                sin(a x)              2cos(a x)
@@ -326,7 +333,7 @@ cc:=aa-bb
 --R                                                     Type: Expression Integer
 --E
 
---S 28
+--S 29
 tanrule:=rule(tan(a) == sin(a)/cos(a))
 --R
 --R                  sin(a)
@@ -335,7 +342,7 @@ tanrule:=rule(tan(a) == sin(a)/cos(a))
 --R                        Type: RewriteRule(Integer,Integer,Expression Integer)
 --E
 
---S 29
+--S 30
 dd:=tanrule cc
 --R
 --R              sin(a x)          sin(a x)              2cos(a x)
@@ -346,7 +353,7 @@ dd:=tanrule cc
 --R                                                     Type: Expression Integer
 --E
 
---S 30     14:404 Schaums and Axiom differ by a constant
+--S 31     14:404 Schaums and Axiom differ by a constant
 ee:=expandLog dd
 --R
 --R          log(- 2)
@@ -364,7 +371,7 @@ $$
 <<*>>=
 )clear all
 
---S 31
+--S 32
 aa:=integrate(1/(sin(a*x)^2*cos(a*x)),x)
 --R 
 --R
@@ -381,7 +388,7 @@ aa:=integrate(1/(sin(a*x)^2*cos(a*x)),x)
 --R                                          Type: Union(Expression Integer,...)
 --E 
 
---S 32
+--S 33
 bb:=1/a*log(tan(%pi/4+(a*x)/2))-1/(a*sin(a*x))
 --R
 --R                        2a x + %pi
@@ -392,7 +399,7 @@ bb:=1/a*log(tan(%pi/4+(a*x)/2))-1/(a*sin(a*x))
 --R                                                     Type: Expression Integer
 --E
 
---S 33
+--S 34
 cc:=aa-bb
 --R
 --R   (3)
@@ -408,7 +415,7 @@ cc:=aa-bb
 --R                                                     Type: Expression Integer
 --E
 
---S 34
+--S 35
 tanrule:=rule(tan(a) == sin(a)/cos(a))
 --R
 --R                  sin(a)
@@ -417,7 +424,7 @@ tanrule:=rule(tan(a) == sin(a)/cos(a))
 --R                        Type: RewriteRule(Integer,Integer,Expression Integer)
 --E
 
---S 35
+--S 36
 dd:=tanrule cc
 --R
 --R   (5)
@@ -437,7 +444,7 @@ dd:=tanrule cc
 --R                                                     Type: Expression Integer
 --E
 
---S 36
+--S 37
 ee:=expandLog dd
 --R
 --R   (6)
@@ -451,7 +458,7 @@ ee:=expandLog dd
 --R                                                     Type: Expression Integer
 --E
 
---S 37     14:405 Schaums and Axiom differ by a constant
+--S 38     14:405 Schaums and Axiom differ by a constant
 ff:=complexNormalize %
 --R
 --R        log(- 1)
@@ -469,7 +476,7 @@ $$
 <<*>>=
 )clear all
 
---S 38
+--S 39
 aa:=integrate(1/(sin(a*x)*cos(a*x)^2),x)
 --R 
 --R
@@ -481,7 +488,7 @@ aa:=integrate(1/(sin(a*x)*cos(a*x)^2),x)
 --R                                          Type: Union(Expression Integer,...)
 --E 
 
---S 39
+--S 40
 bb:=1/a*log(tan((a*x)/2))+1/(a*cos(a*x))
 --R
 --R                        a x
@@ -492,7 +499,7 @@ bb:=1/a*log(tan((a*x)/2))+1/(a*cos(a*x))
 --R                                                     Type: Expression Integer
 --E
 
---S 40
+--S 41
 cc:=aa-bb
 --R
 --R                  a x           sin(a x)
@@ -503,7 +510,7 @@ cc:=aa-bb
 --R                                                     Type: Expression Integer
 --E
 
---S 41
+--S 42
 tanrule:=rule(tan(a) == sin(a)/cos(a))
 --R
 --R                  sin(a)
@@ -512,7 +519,7 @@ tanrule:=rule(tan(a) == sin(a)/cos(a))
 --R                        Type: RewriteRule(Integer,Integer,Expression Integer)
 --E
 
---S 42
+--S 43
 dd:=tanrule cc
 --R
 --R                                    a x
@@ -527,7 +534,7 @@ dd:=tanrule cc
 --R                                                     Type: Expression Integer
 --E
 
---S 43
+--S 44
 ee:=expandLog dd
 --R
 --R                                a x                                 a x
@@ -538,7 +545,7 @@ ee:=expandLog dd
 --R                                                     Type: Expression Integer
 --E
 
---S 44     14:406 Schaums and Axiom differ by a constant
+--S 45     14:406 Schaums and Axiom differ by a constant
 ff:=complexNormalize ee
 --R
 --R        1
@@ -556,7 +563,7 @@ $$
 <<*>>=
 )clear all
 
---S 45
+--S 46
 aa:=integrate(1/(sin(a*x)^2*cos(a*x)^2),x)
 --R 
 --R
@@ -567,7 +574,7 @@ aa:=integrate(1/(sin(a*x)^2*cos(a*x)^2),x)
 --R                                          Type: Union(Expression Integer,...)
 --E
 
---S 46
+--S 47
 bb:=-(2*cot(2*a*x))/a
 --R
 --R          2cot(2a x)
@@ -576,7 +583,7 @@ bb:=-(2*cot(2*a*x))/a
 --R                                                     Type: Expression Integer
 --E
 
---S 47
+--S 48
 cc:=aa-bb
 --R
 --R                                              2
@@ -586,7 +593,7 @@ cc:=aa-bb
 --R                                                     Type: Expression Integer
 --E
 
---S 48
+--S 49
 cotrule:=rule(cot(a) == cos(a)/sin(a))
 --R
 --R                  cos(a)
@@ -595,7 +602,7 @@ cotrule:=rule(cot(a) == cos(a)/sin(a))
 --R                        Type: RewriteRule(Integer,Integer,Expression Integer)
 --E
 
---S 49
+--S 50
 dd:=cotrule cc
 --R
 --R                    2
@@ -605,7 +612,7 @@ dd:=cotrule cc
 --R                                                     Type: Expression Integer
 --E
 
---S 50     14:407 Schaums and Axiom agree
+--S 51     14:407 Schaums and Axiom agree
 ee:=complexNormalize dd
 --R
 --R   (6)  0
@@ -621,7 +628,7 @@ $$
 <<*>>=
 )clear all
 
---S 51
+--S 52
 aa:=integrate(sin(a*x)^2/cos(a*x),x)
 --R 
 --R
@@ -633,7 +640,7 @@ aa:=integrate(sin(a*x)^2/cos(a*x),x)
 --R                                          Type: Union(Expression Integer,...)
 --E 
 
---S 52
+--S 53
 bb:=-sin(a*x)/a+1/a*log(tan((a*x)/2+%pi/4))
 --R
 --R                2a x + %pi
@@ -644,7 +651,7 @@ bb:=-sin(a*x)/a+1/a*log(tan((a*x)/2+%pi/4))
 --R                                                     Type: Expression Integer
 --E
 
---S 53
+--S 54
 cc:=aa-bb
 --R
 --R   (3)
@@ -660,7 +667,7 @@ cc:=aa-bb
 --R                                                     Type: Expression Integer
 --E
 
---S 54
+--S 55
 tanrule:=rule(tan(a) == sin(a)/cos(a))
 --R
 --R                  sin(a)
@@ -669,7 +676,7 @@ tanrule:=rule(tan(a) == sin(a)/cos(a))
 --R                        Type: RewriteRule(Integer,Integer,Expression Integer)
 --E
 
---S 55
+--S 56
 dd:=tanrule cc
 --R
 --R   (5)
@@ -689,7 +696,7 @@ dd:=tanrule cc
 --R                                                     Type: Expression Integer
 --E
 
---S 56
+--S 57
 ee:=expandLog dd
 --R
 --R   (6)
@@ -703,7 +710,7 @@ ee:=expandLog dd
 --R                                                     Type: Expression Integer
 --E
 
---S 57     14:408 Schaums and Axiom differ by a constant
+--S 58     14:408 Schaums and Axiom differ by a constant
 ff:=complexNormalize ee
 --R
 --R        log(- 1)
@@ -721,7 +728,7 @@ $$
 <<*>>=
 )clear all
 
---S 58
+--S 59
 aa:=integrate(cos(a*x)^2/sin(a*x),x)
 --R 
 --R
@@ -733,7 +740,7 @@ aa:=integrate(cos(a*x)^2/sin(a*x),x)
 --R                                          Type: Union(Expression Integer,...)
 --E 
 
---S 59
+--S 60
 bb:=cos(a*x)/a+1/a*log(tan((a*x)/2))
 --R
 --R                a x
@@ -744,7 +751,7 @@ bb:=cos(a*x)/a+1/a*log(tan((a*x)/2))
 --R                                                     Type: Expression Integer
 --E
 
---S 60
+--S 61
 cc:=aa-bb
 --R
 --R                  a x           sin(a x)
@@ -755,7 +762,7 @@ cc:=aa-bb
 --R                                                     Type: Expression Integer
 --E
 
---S 61
+--S 62
 tanrule:=rule(tan(a) == sin(a)/cos(a))
 --R
 --R                  sin(a)
@@ -764,7 +771,7 @@ tanrule:=rule(tan(a) == sin(a)/cos(a))
 --R                        Type: RewriteRule(Integer,Integer,Expression Integer)
 --E
 
---S 62
+--S 63
 dd:=tanrule cc
 --R
 --R                                    a x
@@ -779,7 +786,7 @@ dd:=tanrule cc
 --R                                                     Type: Expression Integer
 --E
 
---S 63
+--S 64
 ee:=expandLog dd
 --R
 --R                                a x                                 a x
@@ -790,7 +797,7 @@ ee:=expandLog dd
 --R                                                     Type: Expression Integer
 --E
 
---S 64     14:409 Schaums and Axiom agree
+--S 65     14:409 Schaums and Axiom agree
 ff:=complexNormalize ee
 --R
 --R   (7)  0
@@ -807,7 +814,7 @@ $$
 <<*>>=
 )clear all
 
---S 65
+--S 66
 aa:=integrate(1/(cos(a*x)*(1+sin(a*x))),x)
 --R 
 --R
@@ -824,7 +831,7 @@ aa:=integrate(1/(cos(a*x)*(1+sin(a*x))),x)
 --R                                          Type: Union(Expression Integer,...)
 --E 
 
---S 66
+--S 67
 bb:=-1/(2*a*(1+sin(a*x)))+1/(2*a)*log(tan((a*x)/2+%pi/4))
 --R
 --R                              2a x + %pi
@@ -835,7 +842,7 @@ bb:=-1/(2*a*(1+sin(a*x)))+1/(2*a)*log(tan((a*x)/2+%pi/4))
 --R                                                     Type: Expression Integer
 --E
 
---S 67
+--S 68
 cc:=aa-bb
 --R
 --R   (3)
@@ -851,7 +858,7 @@ cc:=aa-bb
 --R                                                     Type: Expression Integer
 --E
 
---S 68
+--S 69
 tanrule:=rule(tan(a) == sin(a)/cos(a))
 --R
 --R                  sin(a)
@@ -860,7 +867,7 @@ tanrule:=rule(tan(a) == sin(a)/cos(a))
 --R                        Type: RewriteRule(Integer,Integer,Expression Integer)
 --E
 
---S 69
+--S 70
 dd:=tanrule cc
 --R
 --R   (5)
@@ -880,7 +887,7 @@ dd:=tanrule cc
 --R                                                     Type: Expression Integer
 --E
 
---S 70
+--S 71
 ee:=expandLog dd
 --R
 --R   (6)
@@ -894,7 +901,7 @@ ee:=expandLog dd
 --R                                                     Type: Expression Integer
 --E
 
---S 71
+--S 72
 ff:=complexNormalize ee
 --R
 --R        log(- 1) + 1
@@ -905,7 +912,7 @@ ff:=complexNormalize ee
 
 )clear all 
 
---S 72
+--S 73
 aa:=integrate(1/(cos(a*x)*(1-sin(a*x))),x)
 --R 
 --R
@@ -922,7 +929,7 @@ aa:=integrate(1/(cos(a*x)*(1-sin(a*x))),x)
 --R                                          Type: Union(Expression Integer,...)
 --E 
 
---S 73
+--S 74
 bb:=1/(2*a*(1-sin(a*x)))+1/(2*a)*log(tan((a*x)/2+%pi/4))
 --R
 --R                              2a x + %pi
@@ -933,7 +940,7 @@ bb:=1/(2*a*(1-sin(a*x)))+1/(2*a)*log(tan((a*x)/2+%pi/4))
 --R                                                     Type: Expression Integer
 --E
 
---S 74
+--S 75
 cc:=aa-bb
 --R
 --R   (3)
@@ -949,7 +956,7 @@ cc:=aa-bb
 --R                                                     Type: Expression Integer
 --E
 
---S 75
+--S 76
 tanrule:=rule(tan(a) == sin(a)/cos(a))
 --R
 --R                  sin(a)
@@ -958,7 +965,7 @@ tanrule:=rule(tan(a) == sin(a)/cos(a))
 --R                        Type: RewriteRule(Integer,Integer,Expression Integer)
 --E
 
---S 76
+--S 77
 dd:=tanrule cc
 --R
 --R   (5)
@@ -978,7 +985,7 @@ dd:=tanrule cc
 --R                                                     Type: Expression Integer
 --E
 
---S 77
+--S 78
 ee:=expandLog dd
 --R
 --R   (6)
@@ -992,7 +999,7 @@ ee:=expandLog dd
 --R                                                     Type: Expression Integer
 --E
 
---S 78     14:410 Schaums and Axiom differ by a constant
+--S 79     14:410 Schaums and Axiom differ by a constant
 ff:=complexNormalize ee
 --R
 --R        log(- 1) - 1
@@ -1011,7 +1018,7 @@ $$
 <<*>>=
 )clear all
 
---S 79
+--S 80
 aa:=integrate(1/(sin(a*x)*(1+cos(a*x))),x)
 --R 
 --R
@@ -1023,7 +1030,7 @@ aa:=integrate(1/(sin(a*x)*(1+cos(a*x))),x)
 --R                                          Type: Union(Expression Integer,...)
 --E 
 
---S 80
+--S 81
 bb:=1/(2*a*(1+cos(a*x)))+1/(2*a)*log(tan((a*x)/2))
 --R
 --R                              a x
@@ -1034,7 +1041,7 @@ bb:=1/(2*a*(1+cos(a*x)))+1/(2*a)*log(tan((a*x)/2))
 --R                                                     Type: Expression Integer
 --E
 
---S 81
+--S 82
 cc:=aa-bb
 --R
 --R                   a x            sin(a x)
@@ -1045,7 +1052,7 @@ cc:=aa-bb
 --R                                                     Type: Expression Integer
 --E
 
---S 82
+--S 83
 tanrule:=rule(tan(a) == sin(a)/cos(a))
 --R
 --R                  sin(a)
@@ -1054,7 +1061,7 @@ tanrule:=rule(tan(a) == sin(a)/cos(a))
 --R                        Type: RewriteRule(Integer,Integer,Expression Integer)
 --E
 
---S 83
+--S 84
 dd:=tanrule cc
 --R
 --R                                      a x
@@ -1069,7 +1076,7 @@ dd:=tanrule cc
 --R                                                     Type: Expression Integer
 --E
 
---S 84
+--S 85
 ee:=expandLog dd
 --R
 --R   (6)
@@ -1081,7 +1088,7 @@ ee:=expandLog dd
 --R                                                     Type: Expression Integer
 --E
 
---S 85
+--S 86
 ff:=complexNormalize ee
 --R
 --R           1
@@ -1092,7 +1099,7 @@ ff:=complexNormalize ee
 
 )clear all
 
---S 86
+--S 87
 aa:=integrate(1/(sin(a*x)*(1-cos(a*x))),x)
 --R 
 --R
@@ -1104,7 +1111,7 @@ aa:=integrate(1/(sin(a*x)*(1-cos(a*x))),x)
 --R                                          Type: Union(Expression Integer,...)
 --E 
 
---S 87
+--S 88
 bb:=-1/(2*a*(1-cos(a*x)))+1/(2*a)*log(tan((a*x)/2))
 --R
 --R                              a x
@@ -1115,7 +1122,7 @@ bb:=-1/(2*a*(1-cos(a*x)))+1/(2*a)*log(tan((a*x)/2))
 --R                                                     Type: Expression Integer
 --E
 
---S 88
+--S 89
 cc:=aa-bb
 --R
 --R                   a x            sin(a x)
@@ -1126,7 +1133,7 @@ cc:=aa-bb
 --R                                                     Type: Expression Integer
 --E
 
---S 89
+--S 90
 tanrule:=rule(tan(a) == sin(a)/cos(a))
 --R
 --R                  sin(a)
@@ -1135,7 +1142,7 @@ tanrule:=rule(tan(a) == sin(a)/cos(a))
 --R                        Type: RewriteRule(Integer,Integer,Expression Integer)
 --E
 
---S 90
+--S 91
 dd:=tanrule cc
 --R
 --R                                      a x
@@ -1150,7 +1157,7 @@ dd:=tanrule cc
 --R                                                     Type: Expression Integer
 --E
 
---S 91
+--S 92
 ee:=expandLog dd
 --R
 --R   (6)
@@ -1162,7 +1169,7 @@ ee:=expandLog dd
 --R                                                     Type: Expression Integer
 --E
 
---S 92     14:411 Schaums and Axiom differ by a constant
+--S 93     14:411 Schaums and Axiom differ by a constant
 ff:=complexNormalize ee
 --R
 --R         1
@@ -1180,7 +1187,7 @@ $$
 <<*>>=
 )clear all
 
---S 93
+--S 94
 aa:=integrate(1/(sin(a*x)+cos(a*x)),x)
 --R 
 --R
@@ -1193,7 +1200,7 @@ aa:=integrate(1/(sin(a*x)+cos(a*x)),x)
 --R                                          Type: Union(Expression Integer,...)
 --E 
 
---S 94
+--S 95
 bb:=1/(a*sqrt(2))*log(tan((a*x)/2+%pi/8))
 --R
 --R         +-+        4a x + %pi
@@ -1204,7 +1211,7 @@ bb:=1/(a*sqrt(2))*log(tan((a*x)/2+%pi/8))
 --R                                                     Type: Expression Integer
 --E
 
---S 95
+--S 96
 cc:=aa-bb
 --R
 --R   (3)
@@ -1221,9 +1228,22 @@ cc:=aa-bb
 --R                                                     Type: Expression Integer
 --E
 
+--S 97
+complexNormalize cc
+--R
+--R                 +-+
+--R         +-+    \|2  - 2
+--R        \|2 log(--------)
+--R                   +-+
+--R                  \|2
+--R   (4)  -----------------
+--R                2a
+--R                                                     Type: Expression Integer
+--E
+
 )clear all
 
---S 96
+--S 98
 aa:=integrate(1/(sin(a*x)-cos(a*x)),x)
 --R 
 --R
@@ -1236,7 +1256,7 @@ aa:=integrate(1/(sin(a*x)-cos(a*x)),x)
 --R                                          Type: Union(Expression Integer,...)
 --E 
 
---S 97
+--S 99
 bb:=1/(a*sqrt(2))*log(tan((a*x)/2-%pi/8))
 --R
 --R         +-+        4a x - %pi
@@ -1247,7 +1267,7 @@ bb:=1/(a*sqrt(2))*log(tan((a*x)/2-%pi/8))
 --R                                                     Type: Expression Integer
 --E
 
---S 98     14:412 Axiom cannot simplify this expression
+--S 100
 cc:=aa-bb
 --R
 --R   (3)
@@ -1264,6 +1284,15 @@ cc:=aa-bb
 --R                                                     Type: Expression Integer
 --E
 
+--S 101    14:412 Schaums and Axiom differ by a constant
+complexNormalize cc
+--R
+--R         +-+     +-+
+--R        \|2 log(\|2  - 1)
+--R   (4)  -----------------
+--R                2a
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.413~~~~~$\displaystyle
@@ -1274,7 +1303,7 @@ $$
 <<*>>=
 )clear all
 
---S 99
+--S 102
 aa:=integrate(sin(a*x)/(sin(a*x)+cos(a*x)),x)
 --R 
 --R
@@ -1286,7 +1315,7 @@ aa:=integrate(sin(a*x)/(sin(a*x)+cos(a*x)),x)
 --R                                          Type: Union(Expression Integer,...)
 --E 
 
---S 100
+--S 103
 bb:=x/2-1/(2*a)*log(sin(a*x)+cos(a*x))
 --R
 --R        - log(sin(a x) + cos(a x)) + a x
@@ -1295,7 +1324,7 @@ bb:=x/2-1/(2*a)*log(sin(a*x)+cos(a*x))
 --R                                                     Type: Expression Integer
 --E
 
---S 101
+--S 104
 cc:=aa-bb
 --R
 --R   (3)
@@ -1307,7 +1336,7 @@ cc:=aa-bb
 --R                                                     Type: Expression Integer
 --E
 
---S 102
+--S 105
 dd:=expandLog cc
 --R
 --R        log(sin(a x) + cos(a x)) - log(- sin(a x) - cos(a x))
@@ -1316,7 +1345,7 @@ dd:=expandLog cc
 --R                                                     Type: Expression Integer
 --E
 
---S 103
+--S 106
 ee:=complexNormalize dd
 --R
 --R        log(- 1)
@@ -1327,7 +1356,7 @@ ee:=complexNormalize dd
 
 )clear all 
 
---S 104
+--S 107
 aa:=integrate(sin(a*x)/(sin(a*x)-cos(a*x)),x)
 --R 
 --R
@@ -1339,7 +1368,7 @@ aa:=integrate(sin(a*x)/(sin(a*x)-cos(a*x)),x)
 --R                                          Type: Union(Expression Integer,...)
 --E 
 
---S 105
+--S 108
 bb:=x/2+1/(2*a)*log(sin(a*x)-cos(a*x))
 --R
 --R        log(sin(a x) - cos(a x)) + a x
@@ -1348,7 +1377,7 @@ bb:=x/2+1/(2*a)*log(sin(a*x)-cos(a*x))
 --R                                                     Type: Expression Integer
 --E
 
---S 106
+--S 109
 cc:=aa-bb
 --R
 --R   (3)
@@ -1360,7 +1389,7 @@ cc:=aa-bb
 --R                                                     Type: Expression Integer
 --E
 
---S 107    14:413 Schaums and Axiom agree
+--S 110    14:413 Schaums and Axiom agree
 dd:=expandLog cc
 --R
 --R   (4)  0
@@ -1376,7 +1405,7 @@ $$
 <<*>>=
 )clear all
 
---S 108
+--S 111
 aa:=integrate(cos(a*x)/(sin(a*x)+cos(a*x)),x)
 --R 
 --R
@@ -1388,7 +1417,7 @@ aa:=integrate(cos(a*x)/(sin(a*x)+cos(a*x)),x)
 --R                                          Type: Union(Expression Integer,...)
 --E 
 
---S 109
+--S 112
 bb:=x/2+1/(2*a)*log(sin(a*x)+cos(a*x))
 --R
 --R        log(sin(a x) + cos(a x)) + a x
@@ -1397,7 +1426,7 @@ bb:=x/2+1/(2*a)*log(sin(a*x)+cos(a*x))
 --R                                                     Type: Expression Integer
 --E
 
---S 110
+--S 113
 cc:=aa-bb
 --R
 --R   (3)
@@ -1409,7 +1438,7 @@ cc:=aa-bb
 --R                                                     Type: Expression Integer
 --E
 
---S 111
+--S 114
 dd:=expandLog cc
 --R
 --R        - log(sin(a x) + cos(a x)) + log(- sin(a x) - cos(a x))
@@ -1418,7 +1447,7 @@ dd:=expandLog cc
 --R                                                     Type: Expression Integer
 --E
 
---S 112
+--S 115
 ee:=complexNormalize dd
 --R
 --R          log(- 1)
@@ -1429,7 +1458,7 @@ ee:=complexNormalize dd
 
 )clear all
 
---S 113
+--S 116
 aa:=integrate(cos(a*x)/(sin(a*x)-cos(a*x)),x)
 --R 
 --R
@@ -1441,7 +1470,7 @@ aa:=integrate(cos(a*x)/(sin(a*x)-cos(a*x)),x)
 --R                                          Type: Union(Expression Integer,...)
 --E 
 
---S 114
+--S 117
 bb:=-x/2+1/(2*a)*log(sin(a*x)-cos(a*x))
 --R
 --R        log(sin(a x) - cos(a x)) - a x
@@ -1450,7 +1479,7 @@ bb:=-x/2+1/(2*a)*log(sin(a*x)-cos(a*x))
 --R                                                     Type: Expression Integer
 --E
 
---S 115
+--S 118
 cc:=aa-bb
 --R
 --R   (3)
@@ -1462,7 +1491,7 @@ cc:=aa-bb
 --R                                                     Type: Expression Integer
 --E
 
---S 116    14:414 Schaums and Axiom agree
+--S 119    14:414 Schaums and Axiom agree
 dd:=expandLog cc
 --R
 --R   (4)  0
@@ -1478,7 +1507,7 @@ $$
 <<*>>=
 )clear all
 
---S 117
+--S 120
 aa:=integrate(sin(a*x)/(p+q*cos(a*x)),x)
 --R 
 --R
@@ -1490,7 +1519,7 @@ aa:=integrate(sin(a*x)/(p+q*cos(a*x)),x)
 --R                                          Type: Union(Expression Integer,...)
 --E 
 
---S 118
+--S 121
 bb:=-1/(a*q)*log(p+q*cos(a*x))
 --R
 --R          log(q cos(a x) + p)
@@ -1499,7 +1528,7 @@ bb:=-1/(a*q)*log(p+q*cos(a*x))
 --R                                                     Type: Expression Integer
 --E
 
---S 119
+--S 122
 cc:=aa-bb
 --R
 --R                                        2             - 2q cos(a x) - 2p
@@ -1510,7 +1539,7 @@ cc:=aa-bb
 --R                                                     Type: Expression Integer
 --E
 
---S 120
+--S 123
 dd:=expandLog cc
 --R
 --R        log(q cos(a x) + p) - log(- q cos(a x) - p)
@@ -1519,7 +1548,7 @@ dd:=expandLog cc
 --R                                                     Type: Expression Integer
 --E
 
---S 121    14:415 Schaums and Axiom differ by a constant
+--S 124    14:415 Schaums and Axiom differ by a constant
 ee:=complexNormalize dd
 --R
 --R        log(- 1)
@@ -1537,7 +1566,7 @@ $$
 <<*>>=
 )clear all
 
---S 122
+--S 125
 aa:=integrate(cos(a*x)/(p+q*sin(a*x)),x)
 --R 
 --R
@@ -1549,7 +1578,7 @@ aa:=integrate(cos(a*x)/(p+q*sin(a*x)),x)
 --R                                          Type: Union(Expression Integer,...)
 --E 
 
---S 123
+--S 126
 bb:=1/(a*q)*log(p+q*sin(a*x))
 --R
 --R        log(q sin(a x) + p)
@@ -1558,7 +1587,7 @@ bb:=1/(a*q)*log(p+q*sin(a*x))
 --R                                                     Type: Expression Integer
 --E
 
---S 124
+--S 127
 cc:=aa-bb
 --R
 --R                                    2q sin(a x) + 2p              2
@@ -1569,7 +1598,7 @@ cc:=aa-bb
 --R                                                     Type: Expression Integer
 --E
 
---S 125    14:416 Schaums and Axiom agree
+--S 128    14:416 Schaums and Axiom agree
 dd:=expandLog cc
 --R
 --R   (4)  0
@@ -1585,7 +1614,7 @@ $$
 <<*>>=
 )clear all
 
---S 126
+--S 129
 aa:=integrate(sin(a*x)/(p+q*cos(a*x))^n,x)
 --R 
 --R
@@ -1596,7 +1625,7 @@ aa:=integrate(sin(a*x)/(p+q*cos(a*x))^n,x)
 --R                                          Type: Union(Expression Integer,...)
 --E 
 
---S 127
+--S 130
 bb:=1/(a*q*(n-1)*(p+q*cos(a*x))^(n-1))
 --R
 --R                        1
@@ -1606,7 +1635,7 @@ bb:=1/(a*q*(n-1)*(p+q*cos(a*x))^(n-1))
 --R                                                     Type: Expression Integer
 --E
 
---S 128
+--S 131
 cc:=aa-bb
 --R
 --R            n log(q cos(a x) + p)                                   n - 1
@@ -1617,7 +1646,7 @@ cc:=aa-bb
 --R                                                     Type: Expression Integer
 --E
 
---S 129
+--S 132
 explog:=rule(%e^(n*log(x)) == x^n)
 --R
 --R          n log(x)     n
@@ -1625,7 +1654,7 @@ explog:=rule(%e^(n*log(x)) == x^n)
 --R                        Type: RewriteRule(Integer,Integer,Expression Integer)
 --E
 
---S 130
+--S 133
 dd:=explog cc
 --R
 --R                          n                                   n - 1
@@ -1636,7 +1665,7 @@ dd:=explog cc
 --R                                                     Type: Expression Integer
 --E
 
---S 131    14:417 Schaums and Axiom agree
+--S 134    14:417 Schaums and Axiom agree
 ee:=complexNormalize dd
 --R
 --R   (6)  0
@@ -1652,7 +1681,7 @@ $$
 <<*>>=
 )clear all
 
---S 132
+--S 135
 aa:=integrate(cos(a*x)/(p+q*sin(a*x))^n,x)
 --R 
 --R
@@ -1663,7 +1692,7 @@ aa:=integrate(cos(a*x)/(p+q*sin(a*x))^n,x)
 --R                                          Type: Union(Expression Integer,...)
 --E 
 
---S 133
+--S 136
 bb:=-1/(a*q*(n-1)*(p+q*sin(a*x))^(n-1))
 --R
 --R                          1
@@ -1673,7 +1702,7 @@ bb:=-1/(a*q*(n-1)*(p+q*sin(a*x))^(n-1))
 --R                                                     Type: Expression Integer
 --E
 
---S 134
+--S 137
 cc:=aa-bb
 --R
 --R          n log(q sin(a x) + p)                                     n - 1
@@ -1684,7 +1713,7 @@ cc:=aa-bb
 --R                                                     Type: Expression Integer
 --E
 
---S 135
+--S 138
 explog:=rule(%e^(n*log(x)) == x^n)
 --R
 --R          n log(x)     n
@@ -1692,7 +1721,7 @@ explog:=rule(%e^(n*log(x)) == x^n)
 --R                        Type: RewriteRule(Integer,Integer,Expression Integer)
 --E
 
---S 136
+--S 139
 dd:=explog cc
 --R
 --R                        n                                     n - 1
@@ -1703,7 +1732,7 @@ dd:=explog cc
 --R                                                     Type: Expression Integer
 --E
 
---S 137    14:418 Schaums and Axiom agree
+--S 140    14:418 Schaums and Axiom agree
 ee:=complexNormalize dd
 --R
 --R   (6)  0
@@ -1719,7 +1748,7 @@ $$
 <<*>>=
 )clear all
 
---S 138
+--S 141
 aa:=integrate(1/(p*sin(a*x)+q*cos(a*x)),x)
 --R 
 --R
@@ -1740,7 +1769,7 @@ aa:=integrate(1/(p*sin(a*x)+q*cos(a*x)),x)
 --R                                          Type: Union(Expression Integer,...)
 --E 
 
---S 139
+--S 142
 bb:=1/(a*sqrt(p^2+q^2))*log(tan((a*x+atan(q/p))/2))
 --R
 --R                     q
@@ -1755,7 +1784,7 @@ bb:=1/(a*sqrt(p^2+q^2))*log(tan((a*x+atan(q/p))/2))
 --R                                                     Type: Expression Integer
 --E
 
---S 140    14:419 Axiom cannot simplify this expression
+--S 143
 cc:=aa-bb
 --R
 --R   (3)
@@ -1780,6 +1809,38 @@ cc:=aa-bb
 --R     a\|q  + p
 --R                                                     Type: Expression Integer
 --E
+
+--S 144
+dd:=normalize cc
+--R
+--R                            +-------+
+--R                            | 2    2     2     2
+--R                       - 2p\|q  + p   + q  + 2p
+--R          log(------------------------------------------)
+--R                            +-------+
+--R                   2     3  | 2    2     4     2 2     4
+--R              (3p q  + 4p )\|q  + p   - q  - 5p q  - 4p
+--R   (4)  - -----------------------------------------------
+--R                              +-------+
+--R                              | 2    2
+--R                            a\|q  + p
+--R                                                     Type: Expression Integer
+--E
+
+--S 145    14:419 Schaums and Axiom differ by a constant
+ee:=ratDenom dd
+--R
+--R                            +-------+
+--R           +-------+        | 2    2     2    2
+--R           | 2    2     - p\|q  + p   - q  - p
+--R          \|q  + p  log(-----------------------)
+--R                                4    2 2
+--R                               q  + p q
+--R   (5)  - --------------------------------------
+--R                           2      2
+--R                        a q  + a p
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.420~~~~~$\displaystyle
@@ -1801,7 +1862,7 @@ $$
 <<*>>=
 )clear all
 
---S 141
+--S 146
 aa:=integrate(1/(p*sin(a*x)+q*cos(a*x)+r),x)
 --R 
 --R
@@ -1843,7 +1904,7 @@ aa:=integrate(1/(p*sin(a*x)+q*cos(a*x)+r),x)
 --R                                     Type: Union(List Expression Integer,...)
 --E 
 
---S 142
+--S 147
 bb1:=2/(a*sqrt(r^2-p^2-q^2))*atan((p+(r-q)*tan((a*x)/2))/sqrt(r^2-p^2-q^2))
 --R
 --R                         a x
@@ -1860,7 +1921,7 @@ bb1:=2/(a*sqrt(r^2-p^2-q^2))*atan((p+(r-q)*tan((a*x)/2))/sqrt(r^2-p^2-q^2))
 --R                                                     Type: Expression Integer
 --E
 
---S 143
+--S 148
 bb2:=1/(a*sqrt(p^2+q^2-r^2))*log((p-sqrt(p^2+q^2-r^2)+(r-q)*tan((a*x)/2))/(p+sqrt(p^2+q^2-r^2)+(r-q)*tan((a*x)/2)))
 --R
 --R               +--------------+
@@ -1879,7 +1940,7 @@ bb2:=1/(a*sqrt(p^2+q^2-r^2))*log((p-sqrt(p^2+q^2-r^2)+(r-q)*tan((a*x)/2))/(p+sqr
 --R                                                     Type: Expression Integer
 --E
 
---S 144
+--S 149
 cc1:=aa.1-bb1
 --R
 --R   (4)
@@ -1920,7 +1981,7 @@ cc1:=aa.1-bb1
 --R                                                     Type: Expression Integer
 --E
 
---S 145
+--S 150
 cc2:=aa.2-bb1
 --R
 --R   (5)
@@ -1945,7 +2006,7 @@ cc2:=aa.2-bb1
 --R                                                     Type: Expression Integer
 --E
 
---S 146
+--S 151
 cc3:=aa.1-bb2
 --R
 --R   (6)
@@ -1984,7 +2045,7 @@ cc3:=aa.1-bb2
 --R                                                     Type: Expression Integer
 --E
 
---S 147    14:420 Axiom cannot simplify these expressions
+--S 152
 cc4:=aa.2-bb2
 --R
 --R   (7)
@@ -2010,6 +2071,13 @@ cc4:=aa.2-bb2
 --R     a\|- r  + q  + p  \|r  - q  - p
 --R                                                     Type: Expression Integer
 --E
+
+--S 153    14:420 Schaums and Axiom agree
+dd2:=normalize cc2
+--R
+--R   (8)  0
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.421~~~~~$\displaystyle
@@ -2020,7 +2088,7 @@ $$
 <<*>>=
 )clear all
 
---S 148
+--S 154
 aa:=integrate(1/(p*sin(a*x)+q*(1+cos(a*x))),x)
 --R 
 --R
@@ -2032,7 +2100,7 @@ aa:=integrate(1/(p*sin(a*x)+q*(1+cos(a*x))),x)
 --R                                          Type: Union(Expression Integer,...)
 --E
 
---S 149
+--S 155
 bb:=1/(a*p)*log(q+p*tan((a*x)/2))
 --R
 --R                  a x
@@ -2043,7 +2111,7 @@ bb:=1/(a*p)*log(q+p*tan((a*x)/2))
 --R                                                     Type: Expression Integer
 --E 
 
---S 150
+--S 156
 cc:=aa-bb
 --R
 --R                    a x             p sin(a x) + q cos(a x) + q
@@ -2054,7 +2122,7 @@ cc:=aa-bb
 --R                                                     Type: Expression Integer
 --E
 
---S 151
+--S 157
 tanrule:=rule(tan(a) == sin(a)/cos(a))
 --R
 --R                  sin(a)
@@ -2063,7 +2131,7 @@ tanrule:=rule(tan(a) == sin(a)/cos(a))
 --R                        Type: RewriteRule(Integer,Integer,Expression Integer)
 --E
 
---S 152
+--S 158
 dd:=tanrule cc
 --R
 --R                                                     a x          a x
@@ -2078,7 +2146,7 @@ dd:=tanrule cc
 --R                                                     Type: Expression Integer
 --E
 
---S 153
+--S 159
 ee:=expandLog dd
 --R
 --R   (6)
@@ -2094,7 +2162,7 @@ ee:=expandLog dd
 --R                                                     Type: Expression Integer
 --E
 
---S 154    14:421 Schaums and Axiom agree
+--S 160    14:421 Schaums and Axiom agree
 ff:=complexNormalize ee
 --R
 --R   (7)  0
@@ -2111,7 +2179,7 @@ $$
 <<*>>=
 )clear all
 
---S 155
+--S 161
 aa:=integrate(1/(p*sin(a*x)+q*cos(a*x)+sqrt(p^2+q^2)),x)
 --R 
 --R
@@ -2144,7 +2212,7 @@ aa:=integrate(1/(p*sin(a*x)+q*cos(a*x)+sqrt(p^2+q^2)),x)
 --R                                          Type: Union(Expression Integer,...)
 --E 
 
---S 156
+--S 162
 bb:=-1/(a*sqrt(p^2+q^2))*tan(%pi/4-(a*x+atan(q/p))/2)
 --R
 --R                  q
@@ -2159,7 +2227,7 @@ bb:=-1/(a*sqrt(p^2+q^2))*tan(%pi/4-(a*x+atan(q/p))/2)
 --R                                                     Type: Expression Integer
 --E
 
---S 157
+--S 163
 cc:=aa-bb
 --R
 --R   (3)
@@ -2222,10 +2290,50 @@ cc:=aa-bb
 --R                                                     Type: Expression Integer
 --E
 
+--S 164
+dd:=normalize cc
+--R
+--R   (4)
+--R                                                                  +-------+
+--R               6      2 5      3 4      4 3      5 2     6     7  | 2    2
+--R       (- 32p q  - 16p q  - 48p q  - 20p q  - 18p q  - 5p q - p )\|q  + p
+--R     + 
+--R            7      2 6      3 5      4 4      5 3      6 2     7     8
+--R       32p q  + 16p q  + 64p q  + 28p q  + 38p q  + 13p q  + 6p q + p
+--R  /
+--R                8          7         2 6        3 5         4 4        5 3
+--R           64a q  + 32a p q  + 144a p q  + 64a p q  + 104a p q  + 38a p q
+--R         + 
+--R                6 2       7       8
+--R           25a p q  + 6a p q + a p
+--R      *
+--R          +-------+
+--R          | 2    2
+--R         \|q  + p
+--R     + 
+--R              9          8         2 7        3 6         4 5        5 4
+--R       - 64a q  - 32a p q  - 176a p q  - 80a p q  - 168a p q  - 66a p q
+--R     + 
+--R              6 3        7 2       8       9
+--R       - 63a p q  - 19a p q  - 7a p q - a p
+--R                                                     Type: Expression Integer
+--E
+
+--S 165
+ee:=ratDenom dd
+--R
+--R            +-------+
+--R            | 2    2     2    2
+--R        - q\|q  + p   - q  - p
+--R   (5)  -----------------------
+--R                  2      3
+--R             a p q  + a p
+--R                                                     Type: Expression Integer
+--E
 
 )clear all
 
---S 158
+--S 166
 aa:=integrate(1/(p*sin(a*x)+q*cos(a*x)-sqrt(p^2+q^2)),x)
 --R 
 --R
@@ -2258,7 +2366,7 @@ aa:=integrate(1/(p*sin(a*x)+q*cos(a*x)-sqrt(p^2+q^2)),x)
 --R                                          Type: Union(Expression Integer,...)
 --E 
 
---S 159
+--S 167
 bb:=-1/(a*sqrt(p^2+q^2))*tan(%pi/4+(a*x+atan(q/p))/2)
 --R
 --R                    q
@@ -2273,7 +2381,7 @@ bb:=-1/(a*sqrt(p^2+q^2))*tan(%pi/4+(a*x+atan(q/p))/2)
 --R                                                     Type: Expression Integer
 --E
 
---S 160    14:422 Axiom cannot simplify this expression
+--S 168
 cc:=aa-bb
 --R
 --R   (3)
@@ -2335,6 +2443,47 @@ cc:=aa-bb
 --R       - 38a p q  - 6a p q
 --R                                                     Type: Expression Integer
 --E
+
+--S 169
+dd:=normalize cc
+--R
+--R   (4)
+--R                                                                  +-------+
+--R               6      2 5      3 4      4 3      5 2     6     7  | 2    2
+--R       (- 32p q  + 16p q  - 48p q  + 20p q  - 18p q  + 5p q - p )\|q  + p
+--R     + 
+--R              7      2 6      3 5      4 4      5 3      6 2     7     8
+--R       - 32p q  + 16p q  - 64p q  + 28p q  - 38p q  + 13p q  - 6p q + p
+--R  /
+--R                8          7         2 6        3 5         4 4        5 3
+--R           64a q  - 32a p q  + 144a p q  - 64a p q  + 104a p q  - 38a p q
+--R         + 
+--R                6 2       7       8
+--R           25a p q  - 6a p q + a p
+--R      *
+--R          +-------+
+--R          | 2    2
+--R         \|q  + p
+--R     + 
+--R            9          8         2 7        3 6         4 5        5 4
+--R       64a q  - 32a p q  + 176a p q  - 80a p q  + 168a p q  - 66a p q
+--R     + 
+--R            6 3        7 2       8       9
+--R       63a p q  - 19a p q  + 7a p q - a p
+--R                                                     Type: Expression Integer
+--E
+
+--S 170    14:422 Schaums and Axiom differ by a constant
+ee:=ratDenom dd
+--R
+--R          +-------+
+--R          | 2    2     2    2
+--R        q\|q  + p   - q  - p
+--R   (5)  ---------------------
+--R                 2      3
+--R            a p q  + a p
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.423~~~~~$\displaystyle
@@ -2345,7 +2494,7 @@ $$
 <<*>>=
 )clear all
 
---S 161
+--S 171
 aa:=integrate(1/(p^2*sin(a*x)^2+q^2*cos(a*x)^2),x)
 --R 
 --R
@@ -2359,7 +2508,7 @@ aa:=integrate(1/(p^2*sin(a*x)^2+q^2*cos(a*x)^2),x)
 --R                                          Type: Union(Expression Integer,...)
 --E 
 
---S 162
+--S 172
 bb:=1/(a*p*q)*atan((p*tan(a*x))/q)
 --R
 --R             p tan(a x)
@@ -2370,7 +2519,7 @@ bb:=1/(a*p*q)*atan((p*tan(a*x))/q)
 --R                                                     Type: Expression Integer
 --E
 
---S 163    14:423 Axiom cannot simplify this expressions
+--S 173
 cc:=aa-bb
 --R
 --R   (3)
@@ -2388,6 +2537,13 @@ cc:=aa-bb
 --R                                                     Type: Expression Integer
 --E
 
+--S 174    14:423 Schaums and Axiom agree
+dd:=normalize cc
+--R
+--R   (4)  0
+--R                                                     Type: Expression Integer
+--E
+
 
 @
 
@@ -2399,7 +2555,7 @@ $$
 <<*>>=
 )clear all
 
---S 164
+--S 175
 aa:=integrate(1/(p^2*sin(a*x)^2-q^2*cos(a*x)^2),x)
 --R 
 --R
@@ -2411,7 +2567,7 @@ aa:=integrate(1/(p^2*sin(a*x)^2-q^2*cos(a*x)^2),x)
 --R                                          Type: Union(Expression Integer,...)
 --E
 
---S 165
+--S 176
 bb:=1/(2*a*p*q)*log((p*tan(a*x)-q)/(p*tan(a*x)+q))
 --R
 --R            p tan(a x) - q
@@ -2422,7 +2578,7 @@ bb:=1/(2*a*p*q)*log((p*tan(a*x)-q)/(p*tan(a*x)+q))
 --R                                                     Type: Expression Integer
 --E 
 
---S 166
+--S 177
 cc:=aa-bb
 --R
 --R   (3)
@@ -2438,7 +2594,7 @@ cc:=aa-bb
 --R                                                     Type: Expression Integer
 --E
 
---S 167
+--S 178
 tanrule:=rule(tan(a) == sin(a)/cos(a))
 --R
 --R                  sin(a)
@@ -2447,7 +2603,7 @@ tanrule:=rule(tan(a) == sin(a)/cos(a))
 --R                        Type: RewriteRule(Integer,Integer,Expression Integer)
 --E
 
---S 168
+--S 179
 dd:=tanrule cc
 --R
 --R   (5)
@@ -2463,7 +2619,7 @@ dd:=tanrule cc
 --R                                                     Type: Expression Integer
 --E
 
---S 169
+--S 180
 ee:=expandLog dd
 --R
 --R        log(p sin(a x) + q cos(a x)) - log(- p sin(a x) - q cos(a x))
@@ -2472,7 +2628,7 @@ ee:=expandLog dd
 --R                                                     Type: Expression Integer
 --E
 
---S 170    14:424 Schaums and Axiom differ by a constant
+--S 181    14:424 Schaums and Axiom differ by a constant
 ff:=complexNormalize ee
 --R
 --R        log(- 1)
@@ -2500,7 +2656,7 @@ $$
 <<*>>=
 )clear all
 
---S 171    14:425 Axiom cannot compute this integral
+--S 182    14:425 Axiom cannot compute this integral
 aa:=integrate(sin(a*x)^m*cos(a*x)^n,x)
 --R 
 --R
@@ -2534,7 +2690,7 @@ $$
 <<*>>=
 )clear all
 
---S 172    14:426 Axiom cannot compute this integral
+--S 183    14:426 Axiom cannot compute this integral
 aa:=integrate(sin(a*x)^m/cos(a*x)^n,x)
 --R 
 --R
@@ -2569,7 +2725,7 @@ $$
 <<*>>=
 )clear all
 
---S 173    14:427 Axiom cannot compute this integral
+--S 184    14:427 Axiom cannot compute this integral
 aa:=integrate(cos(a*x)^m/sin(a*x)^n,x)
 --R 
 --R
@@ -2600,7 +2756,7 @@ $$
 <<*>>=
 )clear all
 
---S 174    14:428 Axiom cannot compute this integral
+--S 185    14:428 Axiom cannot compute this integral
 aa:=integrate(1/(sin(a*x)^m*cos(a*x)^n),x)
 --R 
 --R
